Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
New Member
cheese5tick
Posts: 1
Registered: ‎02-06-2011
My Device: Not Specified

Problem to install Flash Builder 4 Plug In for Playbook SDK

hey folks,

 

i´ve a problem with the install.

 

At the install procedure i want to install the flash builder plug in. (have CS5 Master Collection)

Every time when i choose the folder and go to next comes the Error Message " Incorrect Adobe Flash Builder, Pls select flash builder 4.0.1 standalone installation, or Flash Builder 4.0.1 Plug-in installation"

 

What i´m doing wrong !?

Please use plain text.
New Contributor
IQAndreas
Posts: 4
Registered: ‎02-06-2011
My Device: Not Specified

Re: Problem to install Flash Builder 4 Plug In for Playbook SDK

[ Edited ]

Hello cheese5stick (creative use of lettering by the way :smileywink: )

 

If you have CS5 Master Collection installed, it likely means that you are running Flash Professional (the one with the visible stage and timeline) rathern than Flash Builder (which is mainly a code editor, not much more)

 

Though if you are definitely running Flash Builder, you likely need to update it and the problem should fix itself. Let me know if that is the case, and I may be able to help you with that process.

 

 

I could have sworn there was a plugin for Flash Professional CS5 as well, but I'm having the most difficult time finding it at the moment.

 

Luckily, there are quite a few tutorials out there on getting Playbook Development working in Flash Professional CS5, and here are a few tutorials that really stuck out:

http://www.adobe.com/devnet/devices/articles/blackberry_playbook_battery.html

http://renaun.com/blog/2010/11/building-blackberry-playbook-apps-with-flash-professional-cs5/

 

 

Sadly, they all use "workarounds" rather than a direct plugin. I will keep searching to see if I can find that plugin or if I perhaps imagined it...

 

 

Cheers,

Andreas

Please use plain text.
Regular Visitor
dougrdotnet
Posts: 1
Registered: ‎02-25-2011
My Device: BlackBerry Playbook Simulator

Re: Problem to install Flash Builder 4 Plug In for Playbook SDK

Hi cheese5tick,

 

Go to: http://www.adobe.com/downloads/updates/ and get the 4.0.1 patch (make sure you are actually currently running 4.0.0 before applying the patch).  Also, make sure your FlashBuilder install folder is named correctly - I had actually changed the name of mine when I installed into my CS5 folder to keep everything organized.  The name should actually be Adobe Flash Builder 4.0.1 once you are updated (the updater doesn't do that for you so be sure to check it after patching).

 

Following, if you have not installed the AIR 2.5.1 update your install of Playbook SDK may fail in next install steps.  Go to http://get.adobe.com/air/ and install AIR update for your platform.  You will need the AIR install path for your platform - that may be found here: http://kb2.adobe.com/cps/403/kb403150.html#main_installloc.  If you already have it the installer will let you know and cancel the install.

 

If you have not installed the Adobe AIR SDK 2.5, your install of Playbook SDK will fail.  You can get the AIR SDK 2.5 here: http://www.adobe.com/products/air/sdk/  Install the SDK into a location of your choice - I chose ~/ on Mac.  In the Playbook SDK installer, choose this location when selecting the AIR SDK location.

 

You should now be able to complete the Playbook SDK installation.

 

HTH (If it does - please give me a prop by clicking the star over on the left - thanks!),

 

Douglas

Please use plain text.
Contributor
djreyes
Posts: 35
Registered: ‎11-13-2010
My Device: Torch 9810
My Carrier: Orange

Re: Problem to install Flash Builder 4 Plug In for Playbook SDK

I installed the patch but still get the error. I have Adobe Air SDK 3.2 installed.

 

Any other ideas?

DJ Reyes
Please use plain text.
BlackBerry Development Advisor (Retired)
dmalik
Posts: 427
Registered: ‎02-22-2012
My Device: BlackBerry Z10, BlackBerry Dev Alpha C, BlackBerry PlayBook
My Carrier: Bell

Re: Problem to install Flash Builder 4 Plug In for Playbook SDK

Please try using the latest version of Flash Builder which is 4.6. It is part of the system requirements - https://bdsc.webapps.blackberry.com/air/documentation/ww_air_getting_started/Using_Adobe_FB_ms_19656...

Follow me on Twitter: @dustinmalik
-----------------------------------------------------------------------------------------------------
Keep up to date on BlackBerry development: http://devblog.blackberry.com/
Please use plain text.